<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.1
Name: [4] Rozpoznanie główne
Description: Szablon CDA dla rozpoznania głównego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000">
   <title>[4] Rozpoznanie główne</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]"
         id="tmp-r-e36a15fd-2eb7-4ccc-945d-438e44632ec7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'])&gt;=1 and not(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/@nullFlavor)">(plCdaPrincipalDiagnosis): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'])&lt;=1">(plCdaPrincipalDiagnosis): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']"
         id="tmp-r-239aaa17-ca22-42e1-a0ab-47eb3bb63650">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaPrincipalDiagnosis): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaPrincipalDiagnosis): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1'] | self::hl7:organizer[@classCode='BATTERY' and @moodCode='EVN'])])">(plCdaPrincipalDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznanie główne" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1']/@nullFlavor)">(plCdaPrincipalDiagnosis): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1'])&lt;=1">(plCdaPrincipalDiagnosis): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="count(hl7:organizer)&gt;=1 and not(hl7:organizer/@nullFlavor)">(plCdaPrincipalDiagnosis): element hl7:organizer jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="count(hl7:organizer)&lt;=1">(plCdaPrincipalDiagnosis): element hl7:organizer występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1']
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.1']"
         id="tmp-r-1ada106e-660f-4a5e-8a7d-d9fc68f7be5b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.1'">(plCdaPrincipalDiagnosis): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.1'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaPrincipalDiagnosis): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer"
         id="tmp-r-4f2a60a2-05d7-4561-a477-69dad664f4bb">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="string(@classCode)='BATTERY'">(plCdaPrincipalDiagnosis): Wartość dla @classCode MUSI wynosić 'BATTERY'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaPrincipalDiagnosis): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="string(@moodCode)='EVN'">(plCdaPrincipalDiagnosis): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="not(./*[not(self::hl7:code[@code='8319008' and @codeSystem='2.16.840.1.113883.6.96' and @codeSystemName='SNOMED CT' and @displayName='Principal diagnosis'] | self::hl7:statusCode[@code='completed'] | self::hl7:component)])">(plCdaPrincipalDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznanie główne" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaPrincipalDiagnosis): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaPrincipalDiagnosis): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaPrincipalDiagnosis): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)">(plCdaPrincipalDiagnosis): element hl7:component jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="count(hl7:component)&lt;=1">(plCdaPrincipalDiagnosis): element hl7:component występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:code
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:code"
         id="tmp-r-41a98eb7-f964-4e72-9645-31be91819a25">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrincipalDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="@nullFlavor or (@code='8319008' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Principal diagnosis' and @codeSystemName='SNOMED CT')">(plCdaPrincipalDiagnosis): Wartość elementu MUSI wynosić code '8319008' codeSystem '2.16.840.1.113883.6.96' displayName='Principal diagnosis' codeSystemName='SNOMED CT'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:statusCode[@code='completed']
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:statusCode[@code='completed']"
         id="tmp-r-3ba17b56-655f-489c-b9aa-5551a9ce5f73">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrincipalDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaPrincipalDiagnosis): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component"
         id="tmp-r-733e8867-0cc4-4f0a-b5e8-8113c15b6387">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaPrincipalDiagnosis): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="not(./*[not(self::hl7:observation)])">(plCdaPrincipalDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznanie główne" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(plCdaPrincipalDiagnosis): element hl7:observation jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="count(hl7:observation)&lt;=1">(plCdaPrincipalDiagnosis): element hl7:observation występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation"
         id="tmp-r-107180c1-45c8-47da-84c7-b33f05efa59d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(plCdaPrincipalDiagnosis): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaPrincipalDiagnosis): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaPrincipalDiagnosis): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="not(./*[not(self::hl7:code[@codeSystem='2.16.840.1.113883.6.3'][@code and @displayName][@codeSystem='2.16.840.1.113883.6.3' and @codeSystemName='icd10'] | self::hl7:code[@codeSystem='2.16.840.1.113883.6.260'][@code and @displayName][@codeSystem='2.16.840.1.113883.6.260' and @codeSystemName='icd10DualCoding'] | self::hl7:text | self::hl7:targetSiteCode[@codeSystem='2.16.840.1.113883.6.96'])])">(plCdaPrincipalDiagnosis): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznanie główne" występują niedozwolone elementy.</assert>
      <let name="elmcount"
           value="count(hl7:code[@codeSystem='2.16.840.1.113883.6.3']|hl7:code[@codeSystem='2.16.840.1.113883.6.260'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="$elmcount&gt;=1">(plCdaPrincipalDiagnosis): wybór (hl7:code[@codeSystem='2.16.840.1.113883.6.3'] lub hl7:code[@codeSystem='2.16.840.1.113883.6.260']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="$elmcount&lt;=1">(plCdaPrincipalDiagnosis): wybór (hl7:code[@codeSystem='2.16.840.1.113883.6.3'] lub hl7:code[@codeSystem='2.16.840.1.113883.6.260']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.3'])&lt;=1">(plCdaPrincipalDiagnosis): element hl7:code[@codeSystem='2.16.840.1.113883.6.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.6.260'])&lt;=1">(plCdaPrincipalDiagnosis): element hl7:code[@codeSystem='2.16.840.1.113883.6.260'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaPrincipalDiagnosis): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="count(hl7:targetSiteCode)&lt;=1">(plCdaPrincipalDiagnosis): element hl7:targetSiteCode występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.3']
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.3']"
         id="tmp-r-3ba8e759-5e0b-4ff6-9bc1-63c949070f9f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrincipalDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.3' and @codeSystemName='icd10')">(plCdaPrincipalDiagnosis): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.3' codeSystemName='icd10'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="@code">(plCdaPrincipalDiagnosis): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="not(@code) or string-length(@code)&gt;0">(plCdaPrincipalDiagnosis): Atrybut @code MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="@displayName">(plCdaPrincipalDiagnosis): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaPrincipalDiagnosis): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.260']
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:code[@codeSystem='2.16.840.1.113883.6.260']"
         id="tmp-r-eeeebb2e-5881-4138-b1ea-aa9e06d1c985">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrincipalDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.260' and @codeSystemName='icd10DualCoding')">(plCdaPrincipalDiagnosis): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.6.260' codeSystemName='icd10DualCoding'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="@code">(plCdaPrincipalDiagnosis): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="not(@code) or string-length(@code)&gt;0">(plCdaPrincipalDiagnosis): Atrybut @code MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="@displayName">(plCdaPrincipalDiagnosis): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaPrincipalDiagnosis): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.1
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:targetSiteCode
Item: (plCdaPrincipalDiagnosis)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.1']/hl7:organizer/hl7:component/hl7:observation/hl7:targetSiteCode"
         id="tmp-r-48ceb867-cff1-4cc7-9e4a-6f877a6f0701">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrincipalDiagnosis): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.80-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaPrincipalDiagnosis): Wartość elementu MUSI wynosić StronaCiala Strona ciała (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.80-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.1-2018-09-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaPrincipalDiagnosis): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości StronaCiala Strona ciała (DYNAMICZNE)</assert>
   </rule>
</pattern>
